<div id="products" class="page-layout carded fullwidth" fusePerfectScrollbar>

        <!-- TOP BACKGROUND -->
        <div class="top-bg {{secondColorBrand}}"></div>
        <!-- / TOP BACKGROUND -->
      
        <!-- CENTER -->
        <div class="center">
      
            <!-- HEADER -->
            <div class="header white-fg"
                 fxLayout="column" fxLayoutAlign="center center"
                 fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">
      
                <!-- APP TITLE -->
                <div class="logo my-12 m-sm-0"
                     fxLayout="row" fxLayoutAlign="start center">
                    <mat-icon class="logo-icon mr-16" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">group</mat-icon>
                    <span class="logo-text h1" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Instaladores</span>
                </div>
                <!-- / APP TITLE -->
      
                <!-- SEARCH -->
                <div class="search-input-wrapper mx-12 m-md-0"
                     fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">
                    <label for="search" class="mr-8">
                        <mat-icon class="secondary-text">search</mat-icon>
                    </label>
                    <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
                        <input matInput id="search" #filter (keyup)='searchOnChange($event)' placeholder="Filtrar">
                    </mat-form-field>
                </div>
                <!-- / SEARCH -->
       
                <button type="button" 
                mat-raised-button color="primary"  
                [ngClass]="primaryColorBrand"  
                mat-button 
                [routerLink]="['/users/installers/new']">
                NOVO INSTALADOR
        </button>      
            </div>
            <!-- / HEADER -->
      
            <!-- CONTENT CARD -->
            <div class="content-card mat-white-bg">
    
              <mat-table class="products-table"
                #table 
                [dataSource]="dataSource"
                [@animateStagger]="{value:'50'}"
                fusePerfectScrollbar
                matSort matSortActive="name" matSortDirection="asc" matSortDisableClear>

                <ng-container cdkColumnDef="statusColor">
                        <mat-header-cell *cdkHeaderCellDef class="white-fg"></mat-header-cell>
                        <mat-cell *cdkCellDef="let element" [ngClass]="userColorStatusEnumToString(element.status)">
    
                        </mat-cell>
                    </ng-container>
    
                    <ng-container cdkColumnDef="space">
                        <mat-header-cell *cdkHeaderCellDef class="white-fg"></mat-header-cell>
                        <mat-cell *cdkCellDef="let element">
    
                        </mat-cell>
                    </ng-container>
    
                <ng-container cdkColumnDef="name">
                  <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Nome</mat-header-cell>
                  <mat-cell *cdkCellDef="let element">
                      <p class="text-truncate">{{element.name}}</p>
                  </mat-cell>
                </ng-container>
                

                <ng-container cdkColumnDef="email">
                  <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">E-mail</mat-header-cell>
                  <mat-cell *cdkCellDef="let element">
                      <p class="text-truncate">{{element.email}}</p>
                  </mat-cell>
                </ng-container>

                <ng-container cdkColumnDef="status">
                        <mat-header-cell *cdkHeaderCellDef mat-sort-header style="text-align: center" class="white-fg">Status</mat-header-cell>
    
                        <mat-cell *cdkCellDef="let element" style="text-align: center">
                            <mat-chip-list>
                                <mat-chip [ngClass]="userColorStatusLightEnumToString(element.status)" style="width:80px; text-align: center;"
                                    selected> {{ userStatusEnumToString(element.status)}}</mat-chip>
                            </mat-chip-list>
                        </mat-cell>
                    </ng-container>
    
                <ng-container cdkColumnDef="brand">
                  <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Marca</mat-header-cell>
                  <mat-cell *cdkCellDef="let element">
                      <p class="text-truncate">{{element.brandObj ? element.brandObj.name : element.brand}}</p>
                  </mat-cell>
                </ng-container>            
    
                <mat-header-row *matHeaderRowDef="displayedColumns" [ngClass]="primaryColorBrand"></mat-header-row>
                <mat-row *cdkRowDef="let row; columns: displayedColumns;"
                          class="product"
                          matRipple
                          (click)="selectCustomer(row)"
                          >
                </mat-row>
              </mat-table>
          
              <mat-paginator 
                [length]="resultLength" 
                [pageSize]="10" 
                [pageSizeOptions]="[10, 25, 50]"></mat-paginator>
    
            </div>
            <!-- / CONTENT CARD -->
        </div>
        <!-- / CENTER -->
      </div>  